Skip to content
This repository
Browse code

Removed message about installing ffi-ncurses for jruby as jline is bu…

…ilt in into jruby so no extra gem required anymore for jruby
  • Loading branch information...
commit f4b0f771f169f15052ef7b69c6d444b5d95e222b 1 parent a1b82bd
Thomas Dudziak authored

Showing 1 changed file with 1 addition and 8 deletions. Show diff stats Hide diff stats

  1. +1 8 lib/highline/system_extensions.rb
9 lib/highline/system_extensions.rb
@@ -96,7 +96,7 @@ def get_character( input = STDIN )
96 96 CHARACTER_MODE = "ncurses" # For Debugging purposes only.
97 97
98 98 #
99   - # ncurses savvy getc(). (JRuby choice.)
  99 + # ncurses savvy getc().
100 100 #
101 101 def get_character( input = STDIN )
102 102 FFI::NCurses.initscr
@@ -110,13 +110,6 @@ def get_character( input = STDIN )
110 110 end
111 111
112 112 rescue LoadError => e # If the ffi-ncurses choice fails, try using stty
113   - if JRUBY
114   - if e.message =~ /^no such file to load/
115   - STDERR.puts "\n*** Using highline effectively in JRuby requires manually installing the ffi-ncurses gem.\n*** jruby -S gem install ffi-ncurses"
116   - else
117   - raise
118   - end
119   - end
120 113 CHARACTER_MODE = "stty" # For Debugging purposes only.
121 114
122 115 #

0 comments on commit f4b0f77

Please sign in to comment.
Something went wrong with that request. Please try again.